ALTER FUNCTION "DBA"."get_eelmnait"(in a_maksuid integer, in a_kuup date)
RETURNS decimal(12,3)
BEGIN
  declare ldc_eelmnait decimal(12,3);
  if a_maksuid > 0 AND a_kuup > ymd(2000,1,1) then
    select first "ls_kogused"."nait" into ldc_eelmnait from "ls_kogused" WHERE "ls_kogused"."maksuid" = a_maksuid AND "ls_kogused"."kuup" < a_kuup ORDER BY "ls_kogused"."kuup" DESC;
  end if;
  if ldc_eelmnait is null then
    set ldc_eelmnait=0
  end if;
  return ldc_eelmnait;
END